### Method

# RB RhythmDB query_deserialize

#### Declaration [src]

    RhythmDBQuery*
    rhythmdb_query_deserialize (
      RhythmDB* db,
      xmlNodePtr parent
    )

#### Description [src]

Converts a serialized query back into a `GPtrArray` query.

#### Parameters

`parent`

  Type: `xmlNodePtr`

  Parent XML node of serialized query.

#### Return value

Type: `RhythmDBQuery`

Deserialized query.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.